{% extends 'index.html' %}
{% load static %}
{% load customhumanize %}

{% block page %}

<div class="section section_default">
<div class="section__content">
<div class="section__header header header_listing header--autobase">
    <div class="header__main">
        <h1>База знаний</h1>
    </div>
    <div class="header__controls">
        <div class="field">
            <form action="" method="get">
                <div class="control control_default control_m">
                    <input type="text" value="{{ search_input_array.title__icontains }}" name="title__icontains"
                           placeholder="Поиск">
                    <input type="hidden" name="mark_auto" value="{{ search_input_array.mark_auto }}">
                    <input type="hidden" name="model_auto" value="{{ search_input_array.model_auto }}">
                    <input type="hidden" name="generation" value="{{ search_input_array.generation }}">
                    <input type="hidden" name="category" value="{{ search_input_array.category }}">
                    <button class="control__icon control__icon--button icon icon_24 icon_default">
                        <svg>
                            <use xlink:href="#icon_search_24"$></use>
                        </svg>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="section__body" id="auto-db">
    <div class="favorites">
        <div class="favorites__btn">
            Избранное
        </div>
    </div>
{% if not account %}
    <div class="auto-list-text white baza">
    {% if not search_name.mark_auto is not None or search_name.generation is not None %}
{#            Только популярные авто:#}
        <ul v-if="!allList" class="auto-list__top">
            {% for item in filter_array %}
                {% if item.popular %}
                    <li class="{{ item.active }}"><a href="{{ item.url }}" class="link link_title">{{ item.title }}</a>
                    </li>
                {% endif %}
            {% endfor %}
                <li>
                    <span class="auto-list__more" :class="{'open': allList ? true : false}" @click="openMoreAutoList()">
                        ${typeButt}
                    </span>
                </li>
        </ul>
{#            Все марки авто выводятся ниже:#}
        <ul v-if="allList" class="auto-list__bottom">
            {% for item in filter_array %}
                <li class="{{ item.active }}"><a href="{{ item.url }}" class="link link_title">{{ item.title }}</a>
                </li>
            {% endfor %}
        </ul>
    {% endif %}
{#            Если фильтруем по типам #}
    {% if search_name.mark_auto is not None and search_name.generation is None %}
        <ul class="auto-list__bottom">
            {% for item in filter_array %}
                    <li class="{{ item.active }}"><a href="{{ item.url }}" class="link link_title">{{ item.title }}</a>
                    </li>
            {% endfor %}
        </ul>
    {% endif %}
    </div>
{% endif %}

{% if search_name.mark_auto is not None %}
    <div class="auto-base-body">
        <span>Марка: {{ search_name.mark_auto }}, Модель: {{ search_name.model_auto|default:"--" }},
            Поколение: {{ search_name.generation|default:"--" }}</span>
    </div>
{% endif %}
<div class="auto-base-body">
<!--    <div class="auto-base-body__aside">-->
<!--        <div class="auto-base-body__group">-->
<!--            <div class="auto-base-body__group-title">-->
<!--                <h4>Категории</h4>-->
<!--            </div>-->
<!--            <div class="auto-base-body__group-list">-->
<!--                <ul>-->
<!--                    {% for item in categories %}-->
<!--                    <li class=" {{ item.active }}">-->
<!--                        <a class="link link_title" href="{{ item.url }}">{{ item.title }}</a>-->
<!--                    </li>-->
<!--                    {% endfor %}-->
<!--                </ul>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
    <div class="auto-base-body__list table_default">

        <div class="auto-base-body__item">
            <div class="auto-base-body__item-img">
                <img src="../../static/img/auto-img.png" alt="auto-base-img">
            </div>
            <div class="auto-base-body__item-info">
                <div class="auto-base-body__item-title">
                    BMW 3 VI (2011 - 2016г.)
                </div>
                <div class="auto-base-body__cost">
                    <div class="auto-base-body__cost-min">
                        950 000 ₽
                    </div>
                    <span>-</span>
                    <div class="auto-base-body__cost-max">
                        2 600 000 ₽
                    </div>
                </div>
                <ul class="auto-base-body__item-status">
                    <li class="active"><img src="../../static/assets/images/diagnostic-ic.svg" alt=""></li>
                    <li class="active"><img src="../../static/assets/images/auto-ic.svg" alt=""></li>
                    <li class="active"><img src="../../static/assets/images/engine-ic.svg" alt=""></li>
                    <li class="active"><img src="../../static/assets/images/inspection1-ic.svg" alt=""></li>
                    <li class="active"><img src="../../static/assets/images/electrician-ic.svg" alt=""></li>
                    <li class="active"><img src="../../static/assets/images/transmission-ic.svg" alt=""></li>
                    <li><img src="../../static/assets/images/inspection2-ic.svg" alt=""></li>
                </ul>
                <div class="auto-base-body__item-date new">
                         Обновлен вчера
                </div>
            </div>
            <div class="auto-base-body__item-change">
                <div class="auto-base-body__item-like"></div>
                <div class="auto-base-body__item-menu">
                    {% if not user.is_hr and not user.is_client %}
                        <dropdown>
                            <div class="menu-controls__item"><a class="menu-controls__link" href="#">Редактировать</a></div>
                        </dropdown>
                    {% endif %}
                </div>
            </div>
        </div>
        {% for item in object_list %}


            <div class="auto-base-body__item">
                <div class="auto-base-body__item-img">
                    <img src="../../static/img/auto-img.png" alt="auto-base-img">
                </div>
                <div class="auto-base-body__item-info">
                    <div class="auto-base-body__item-title">
                        <a href="/auto/auto-database/{{ item.id }}" class="link ">{{ item.title }}</a>
                    </div>
                    <div class="auto-base-body__cost">
                        <div class="auto-base-body__cost-min">
                            950 000 ₽
                        </div>
                        <span>-</span>
                        <div class="auto-base-body__cost-max">
                            2 600 000 ₽
                        </div>
                    </div>
                    <ul class="auto-base-body__item-status">
                        <li class="active"><img src="../../static/assets/images/diagnostic-ic.svg" alt=""></li>
                        <li class="active"><img src="../../static/assets/images/auto-ic.svg" alt=""></li>
                        <li class="active"><img src="../../static/assets/images/engine-ic.svg" alt=""></li>
                        <li class="active"><img src="../../static/assets/images/inspection1-ic.svg" alt=""></li>
                        <li class="active"><img src="../../static/assets/images/electrician-ic.svg" alt=""></li>
                        <li class="active"><img src="../../static/assets/images/transmission-ic.svg" alt=""></li>
                        <li><img src="../../static/assets/images/inspection2-ic.svg" alt=""></li>
                    </ul>
                    <div class="auto-base-body__item-date">
                        Обновлен {{ item.created|date:"d.m.Y" }}
                    </div>
                </div>
                <div class="auto-base-body__item-change">
                    <div class="auto-base-body__item-like"></div>
                    <div class="auto-base-body__item-menu">
                        {% if not user.is_hr and not user.is_client %}
                            <dropdown>
                                <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'auto:article_edit' pk=item.id %}">Редактировать</a></div>
                            </dropdown>
                        {% endif %}
                    </div>
                </div>
            </div>
        {% endfor %}
        {% if object_list|length < 1 %}
            <!-- Empty result -->
            <div class="section__body users-grid_default"
                 style="padding: var(--spacing_m);min-height:230px;display:flex;align-items:center;justify-content: center;">
                <div><h3>Извините, результатов не найдено.</h3></div>
            </div>
            <!-- /Empty result -->
        {% endif %}
    </div>
</div>
<br>

{% if page_obj.has_other_pages %}
    <ul class="paginator pag-list">
        {% if page_obj.has_previous %}
            <li><a href="?page={{ page_obj.previous_page_number }}">
                <div class="paginator__arrow">
                    <div class="btn btn_m btn_square btn_paginator">
                        <div class="btn__icon icon icon_m">
                            <svg>
                                <use xlink:href="#svg-arrow-left"></use>
                            </svg>
                        </div>
                    </div>
                </div>
            </a></li>
        {% else %}
            <li class="disabled"><span><i class="fa fa-chevron-left" aria-hidden="true"></i></span></li>
        {% endif %}

        {% if page_obj.number|add:'-4' > 1 %}
            <li><a style="color: black; text-decoration: none;"
                   href="?page={{ page_obj.number|add:'-5' }}">&hellip;</a></li>
        {% endif %}
        {% for i in page_obj.paginator.page_range %}
            {% if page_obj.number == i %}
                <li class="btn btn_m btn_square btn_paginator btn_active active"><span
                        class="btn__title">{{ i }} </span></li>
            {% elif i > page_obj.number|add:'-5' and i < page_obj.number|add:'5' %}
                <li class="btn btn_m btn_square btn_paginator"><a class="btn__title"
                                                                  style="color: black; text-decoration: none;"
                                                                  href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
        {% endfor %}
        {% if page_obj.paginator.num_pages > page_obj.number|add:'4' %}
            <li><a style="color: black; text-decoration: none;"
                   href="?page={{ page_obj.number|add:'5' }}">&hellip;</a></li>
        {% endif %}
        {% if page_obj.has_next %}
            <li><a href="?page={{ page_obj.next_page_number }}">
                <div class="paginator__arrow">
                    <div class="btn btn_m btn_square btn_paginator">
                        <div class="btn__icon icon icon_m">
                            <svg>
                                <use xlink:href="#svg-arrow-right"></use>
                            </svg>
                        </div>
                    </div>
                </div>
            </a></li>
        {% else %}
            <li class="disabled"><span>
        </span></li>
        {% endif %}
    </ul>
{% endif %}

{% endblock %}
</div>
</div>
</div>

{% block script %}
    {{ block.super }}
    <script>
        $('#loader-wrapper').show();
        $('.auto-list-text').hide();
    </script>
    <script src="{% static 'js/autodb.bundle.js' %}"></script>
{% endblock %}
